Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.util
Class SheetUtil

    java.lang.Object
      org.apache.poi.ss.util.SheetUtil

    public class SheetUtil

extends java.lang.Object

Helper methods for when working with Usermodel sheets

Author:
  Yegor Kozlov

Constructor Summary
`SheetUtil()`

Method Summary
`static boolean` | `containsCell(CellRangeAddress cr, int rowIx, int colIx)`
`static double` | `getCellWidth(Cell cell, int defaultCharWidth, DataFormatter formatter, boolean useMergedCells)` Compute width of a single cell
`static double` | `getColumnWidth(Sheet sheet, int column, boolean useMergedCells)` Compute width of a column and return the result
`static double` | `getColumnWidth(Sheet sheet, int column, boolean useMergedCells, int firstRow, int lastRow)` Compute width of a column based on a subset of the rows and return the result

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SheetUtil

    public SheetUtil()

Method Detail

### getCellWidth

    public static double getCellWidth(Cell cell,
                                      int defaultCharWidth,
                                      DataFormatter formatter,
                                      boolean useMergedCells)

  Compute width of a single cell

  Parameters:
    `cell` - the cell whose width is to be calculated
    `defaultCharWidth` - the width of a single character
    `formatter` - formatter used to prepare the text to be measured
    `useMergedCells` - whether to use merged cells
  Returns:
    the width in pixels

### getColumnWidth

    public static double getColumnWidth(Sheet sheet,
                                        int column,
                                        boolean useMergedCells)

  Compute width of a column and return the result

  Parameters:
    `sheet` - the sheet to calculate
    `column` - 0-based index of the column
    `useMergedCells` - whether to use merged cells
  Returns:
    the width in pixels

### getColumnWidth

    public static double getColumnWidth(Sheet sheet,
                                        int column,
                                        boolean useMergedCells,
                                        int firstRow,
                                        int lastRow)

  Compute width of a column based on a subset of the rows and return the result

  Parameters:
    `sheet` - the sheet to calculate
    `column` - 0-based index of the column
    `useMergedCells` - whether to use merged cells
    `firstRow` - 0-based index of the first row to consider (inclusive)
    `lastRow` - 0-based index of the last row to consider (inclusive)
  Returns:
    the width in pixels

### containsCell

    public static boolean containsCell(CellRangeAddress cr,
                                       int rowIx,
                                       int colIx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD